Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface CmFullTextSearchControl<Node>

All Superinterfaces
  FullTextSearchControl<Node>, RepoFullTextSearchControl<Node>, SearchControl<Node>

    public interface CmFullTextSearchControl<Node>

extends RepoFullTextSearchControl<Node>

This class is used to build an execute FullTextSearch searches on data that is resides in any CM repository except the GroupSpace content repository. It cannot be used to search enterprise-scoped repositories.

This control is automatically scoped to search the current repository from the root of the repository. If the repository name is left empty, all of the repositories in the BEA virtual repository will be searched. The search path may be modified to refine the search within a particular repository.

Instantiate the control in a page flow as follows:

// Full text search control all BEA repositories except the GroupSpace repository
`@Control`
CmFullTextSearchControlBean <Node> cm_fullTextSearch;

// Search for a particular object class, "BOOK"
`@Control ()`
`@CmFullTextSearchControl.SearchParams(objectClassName = "BOOK")`
CmFullTextSearchControlBean <Node> bookSearchBean;

// Full text search control across the named repository, typed and annotated
`@Control()`
`@CmFullTextSearchControl.SearchParams(maxResults=50, loadAllIntoMemory=true, pageSize=25, limitRelevanceScore=30, batchLoadingSize=25, repositoryName="MyRepository")`
CmFullTextSearchControlBean <Node> cmAnnSearch;

Nested Class Summary
`static interface` | `CmFullTextSearchControl.SearchParams` Set the defaults for search parameters

Method Summary

Methods inherited from interface com.bea.apps.groupspace.search.controls.RepoFullTextSearchControl
`getAvailableObjectClasses, getFullTextSearchBuilder, getObjectClassProperties, getObjectClassPropertyDefinitions, getPropertySearchBuilder, isCmBinaryDataEncoded, isCmMetadataEncoded, searchProperty, setCmBinaryDataEncoded, setCmMetadataEncoded, setEnableSearchCache, setSearchPath, setSearchPaths`

Methods inherited from interface com.bea.apps.groupspace.search.controls.FullTextSearchControl
`allOfTheseWords, anyOfTheseWords, clearMetadataParameters, getSearchDatabases, getTextSearchBuilder, search, setMetadataParameter, setMetadataParameters, setSearchDatabases, setSearchScope, textContains, textEquals`

Methods inherited from interface com.bea.apps.groupspace.search.controls.SearchControl
`asList, asSet, flushSearchCache, getSortCriteria, setSortCriteria`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved